// MsgSyncReq: enable and start services on the remote host

// Copyright (C) 2021  Simon Ruderich
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

package sync

import (
	"fmt"
	"path/filepath"
)

func (s *Sync) syncServices() error {
	if len(s.req.Services) == 0 {
		return nil
	}

	x, err := filepath.EvalSymlinks("/sbin/init")
	if err != nil {
		return err
	}
	if filepath.Base(x) == "systemd" {
		return s.syncServicesSystemd()
	}
	// TODO: support more distributions
	return fmt.Errorf("not yet supported on this distribution")
}
